<?php
ini_set('display_errors', 1);
error_reporting(E_ERROR); 
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$keyfld = "vouchno";
$para = $_REQUEST["para"];
if ($para == "N") {
    $maindb = "inwmain_de";
    $file = "inward_de.php";
} else {
    $maindb = "inwmain";
    $file = "inward.php";
}

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `a.vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`chalno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.`gcode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`totqty` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`chalno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.`gcode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`totqty` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`chalno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`gcode`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`totqty`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
$query = "SELECT a.vouchno, DATE_FORMAT(a.vouchdt , '%d-%m-%Y' ) AS `vouchdt`, a.`godown`, a.totalqty as totqty, 
          b.code, b.gcode FROM $maindb a, godown b WHERE  a.godown = b.code
          $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[vouchno],
        'vouchdt' => $r[vouchdt],
        'chalno' => $r[chalno],
        'godown' => $r[gcode],
        'totqty' => $r[totqty],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
